//
// DebugLog.cpp - logs messages to standard debug trace stream
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "DebugLog.h"

#include "Trace.h"

namespace vos
{
	/**************************************************************************
	
	>	void DebugLog::LogMsg(const char *szMsg, uint Severity, uint32 Flags)
	
		Author:		Tim Browse
		Date:		13/4/2002
		Inputs:		szMSg - the message to log
					Severity - severity of the message
					Flags - flags for the message (some vos::Log-dervived
							objects will define flags for logging options)
	
		Purpose:	Route a log message to the standard debug trace stream.
					(uses the TRACE macro to achieve this)
	
	**************************************************************************/
	
	void DebugLog::LogMsg(const char *szMsg, uint Severity, uint32 Flags)
	{
		TRACE(szMsg);
		TRACE("\n");
	}
}

