//
// Debugger.cpp - standard API to perform debugger related functions.
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "Debugger.h"

//
// Enable memory tracking
//
#ifdef _DEBUG
#define new vosDEBUG_NEW
#endif

namespace vos
{
	/**************************************************************************
	
	>	void Debugger::Interrupt()
	
		Author:		Tim Browse
		Date:		13/4/2002
		Inputs:		-
		Outputs:	-
		Returns:	-
	
		Purpose:	Cause a debugger interrupt - i.e. when this function is called,
					then the host debugger will be triggered.

					Do not call this function in production code - if the program
					is not being debugged, then on some host OSs (e.g. Windows,
					amongst others) an unhandled debugger interrupt will crash the
					program.
	
	**************************************************************************/
	
	void Debugger::Interrupt()
	{
#ifdef VOS_MSWINDOWS
		// Standard Intel debug trip
		_asm int 3;
#elif defined VOS_MACOS
		Debugger();
#else
#error "Debugger::Interrupt() needs porting."
#endif
	}
};

