//
// Debugger.h - standard API to perform debugger related functions.
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vos_Debugger_h
#define vos_Debugger_h

#include "vOS.h"

namespace vos
{
	/**************************************************************************
	
	>	class Debugger
	
		Author:		Tim Browse
		Date:		13/4/2002
	
		Purpose:	Provide a platform independent way of accessing debugger
					functions.
	
	**************************************************************************/
	
	class Debugger
	{
		public:
			// Cause a debugger interrupt - i.e. when this function is called,
			// then the host debugger will be triggered.
			//
			// Do not call this function in production code - if the program
			// is not being debugged, then on some host OSs (e.g. Windows,
			// amongst others) an unhandled debugger interrupt will crash the
			// program.
			static void Interrupt();
	};
};

#endif // !vos_Debugger_h
