//
// DiskLogFile.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vos_DiskLogFile_h
#define vos_DiskLogFile_h

#include "LogFile.h"

#include "FileSpec.h"

namespace vos
{

	/*!
		\enum LogMode

		This enum describes how to create a DiskLogFile - either
		we wipe the file when opening it, or we append log data to
		the file's existing contents.

		See DiskLogFile.
	*/

	typedef enum
	{
		LogMode_Normal,
		LogMode_Append
	}
	LogMode;

	/**************************************************************************

	>	class DiskLogFile : public LogFile

		Author:		Tim Browse

		Date:		13/6/00

		Purpose:	Simple disk-based log file.

					Pass in a FileSpec to create a new log oject whose
					log messages are saved to a disk file.

	**************************************************************************/

	class DiskLogFile : public LogFile
	{
		public:
			DiskLogFile(const FileSpec& pDiskLogFile,
						LogMode Mode = LogMode_Normal);

			virtual ~DiskLogFile();
	};
};

#endif // !vos_DiskLogFile_h
