//
// FileInfo.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vos_FileInfo_h
#define vos_FileInfo_h

#include "Time.h"

namespace vos
{
	/**************************************************************************
	
	>	class FileInfo
	
		Author:		Tim Browse
		Date:		14/4/2002
	
		Purpose:	Hold information about a file.

					This class is used by the FileMatches class to pass
					information about a file back to the caller.
	
	**************************************************************************/
	
	class FileInfo
	{
		public:
			/// Size of the file, in bytes
			uint m_Size;

			/// File or folder?
			bool m_bIsFolder;

			/// Modification date of file
			vos::Time m_Modified;
	};
};

#endif // !vos_FileInfo_h
