//
// GUID.h - 128bit unique IDs
//

#ifndef vos_GUID_h
#define vos_GUID_h

#include "vOS.h"

namespace vos
{
	class String;

	//
	// Cross platform 128-bit unique IDs.
	//
	// For convenience, this definition evaluates to a data structure that 
	// matches Microsoft UUIDs.
	//

	class GUID
	{
		public:
			GUID();

		public:
			// 16 bytes = 128 bits
			byte m_Data8[16];

		public:
			// Conversions
			String ToString();
			void SetFromString(const String&);
	};
}

#endif // !vis_GUID_h
