//
// RefCount.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vos_RefCount_h
#define vos_RefCount_h

#include "vos.h"

namespace vos
{
	/**************************************************************************

		class RefCount

		Author:		Tim Browse

		Date:		13/2/00

		Purpose:	Simple reference counting class.

	**************************************************************************/

	class RefCount
	{
		public:
			RefCount() : m_nRefCount(0) {}

			void AddRef();
			void Release();

		protected:
			// Do not delete this object directly - call Release() when done with it.
			virtual ~RefCount() {}

		protected:
			// Reference count
			int m_nRefCount;
	};
};

#endif // !vos_RefCount_h
