//
// VFSFactory.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vos_VFSFactory_h
#define vos_VFSFactory_h

#include "vos.h"

#include "FileSpec.h"
#include "File.h"
#include "ErrorManager.h"
#include "Lists.h"

namespace vos
{
	class VFS;

	/**************************************************************************

		class VFSFactory : public ListItem

		Author:		Tim Browse

		Date:		13/2/00

		Purpose:	Factory pattern for VFS objects.

	**************************************************************************/

	class VFSFactory : public ListItem
	{
		public:
			VFSFactory();

			// Get this factory to make a VFS object to handle this file object (if it can).
			virtual Error MakeVFS(const FileSpec& FS, VFS** ppVFS) = 0;
	};
};

#endif // !vos_VFSFactory_h
