//
// Win32_PreferencesImp.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vos_Win32_PreferencesImp_h
#define vos_Win32_PreferencesImp_h

#include "..\vos.h"

#include "..\PreferencesImp.h"

#include "Win32_Headers.h"

namespace vos
{
	/**************************************************************************
	
	>	class Win32_PreferencesImp : public PreferencesImp
	
		Author:		Tim Browse
		Date:		18/4/2002
	
		Purpose:	Win32 implementation of the Preferences system.
	
	**************************************************************************/
	
	class Win32_PreferencesImp : public PreferencesImp
	{
		public:
			Win32_PreferencesImp();
			~Win32_PreferencesImp();

		public:
			// Read/write of preferences
			virtual bool Read(const String& PrefName, String*	pPrefValue);
			virtual bool Read(const String& PrefName, int*		pPrefValue);
			virtual bool Read(const String& PrefName, bool*		pPrefValue);
			virtual bool Read(const String& PrefName, FileSpec* pPrefValue);

			virtual bool Write(const String& PrefName, const String& PrefValue);
			virtual bool Write(const String& PrefName, int PrefValue);
			virtual bool Write(const String& PrefName, bool PrefValue);
			virtual bool Write(const String& PrefName, const FileSpec& PrefValue);

			// Delete all preferences for this program
			virtual void DeleteAll();

		private:
			HKEY GetKey();
			bool IsRoot();
			void CloseRegKey();
			Win32_PreferencesImp* GetParentImp();

		private:
			// Implementation - use registry for preferences.
			HKEY m_hKey;

		private:
			// Prohibit copying
			Win32_PreferencesImp(const Win32_PreferencesImp& rhs);
			Win32_PreferencesImp& operator=(const Win32_PreferencesImp& rhs);
	};

};

#endif // !vos_Win32_Preferences_h
